Package com.logicaldoc.core.contact

# Class Contact

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.contact.Contact

All Implemented Interfaces:
  `Serializable`

@Entity public class Contact extends PersistentObject
A generic contact represented by a set of personal informations.

Since:
  6.8
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`Contact()`
`Contact(Contact source)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getAddress()`
`String`
`getCompany()`
`String`
`getEmail()`
`String`
`getFirstName()`
`String`
`getFullName()`
`String`
`getLastName()`
`String`
`getMobile()`
`String`
`getPhone()`
`Long`
`getUserId()`
`int`
`hashCode()`
`void`
`setAddress(String address)`
`void`
`setCompany(String company)`
`void`
`setEmail(String email)`
`void`
`setFirstName(String firstName)`
`void`
`setLastName(String lastName)`
`void`
`setMobile(String mobile)`
`void`
`setPhone(String phone)`
`void`
`setUserId(Long userId)`
`String`
`toString()`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Contact

public Contact()

### Contact

public Contact(Contact source)

## Method Details

### getUserId

public Long getUserId()

### setUserId

public void setUserId(Long userId)

### getFirstName

public String getFirstName()

### setFirstName

public void setFirstName(String firstName)

### getLastName

public String getLastName()

### setLastName

public void setLastName(String lastName)

### getCompany

public String getCompany()

### setCompany

public void setCompany(String company)

### getEmail

public String getEmail()

### setEmail

public void setEmail(String email)

### getPhone

public String getPhone()

### setPhone

public void setPhone(String phone)

### getMobile

public String getMobile()

### setMobile

public void setMobile(String mobile)

### getFullName

public String getFullName()

### getAddress

public String getAddress()

### setAddress

public void setAddress(String address)

### toString

public String toString()

Overrides:
  `toString` in class `PersistentObject`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `PersistentObject`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `PersistentObject`